# Uses of Class
org.apache.zookeeper.common.X509Exception.TrustManagerException

Packages that use X509Exception.TrustManagerException
Package
Description
org.apache.zookeeper.common
org.apache.zookeeper.server.auth

## Uses of X509Exception.TrustManagerException in org.apache.zookeeper.common

Methods in org.apache.zookeeper.common that throw X509Exception.TrustManagerException
Modifier and Type
Method
Description
`io.netty.handler.ssl.SslContext`
ClientX509Util.`createNettySslContextForClient(ZKConfig config)`
`io.netty.handler.ssl.SslContext`
ClientX509Util.`createNettySslContextForServer(ZKConfig config)`
`static X509TrustManager`
X509Util.`createTrustManager(String trustStoreLocation, String trustStorePassword, String trustStoreTypeProp, boolean crlEnabled, boolean ocspEnabled, boolean serverHostnameVerificationEnabled, boolean clientHostnameVerificationEnabled, boolean allowReverseDnsLookup, boolean fipsMode)`
Creates a trust manager by loading the trust store from the given file of the given type, optionally decrypting it using the given password.

## Uses of X509Exception.TrustManagerException in org.apache.zookeeper.server.auth

Methods in org.apache.zookeeper.server.auth that throw X509Exception.TrustManagerException
Modifier and Type
Method
Description
`X509TrustManager`
X509AuthenticationProvider.`getTrustManager()`
Get the X509TrustManager implementation used for remote host authentication.